#include <stdint.h>
#include <stdlib.h>
#include <string.h>

#include "STM32F767.h"
#include "DAC.h"
#include "trig.h"
#include "UART.h"

#define N_STORE   9
#define N_HILBERT 9
#define M_PI      3.141

extern volatile RCC_T *RCC;
extern volatile NVIC_T *NVIC;
extern volatile GPIO_T *GPIOA;
extern volatile GPIO_T *GPIOB;
extern volatile GPIO_T *GPIOC;
extern volatile ADC_T *ADC1;
extern volatile ADC_T *ADC2;
extern volatile ADC_T *ADC3;
extern volatile ADC_COMMON_T *ADC_COMMON;
extern volatile DMA_T *DMA1;
extern volatile DMA_T *DMA2;

/* Prototypes */
void init_ADC();
void DMA2_Stream4_IRQHandler();
