#include "DAC.h"

void init_DAC()
{
    // PA4 for DAC1
    // PA5 for DAC2
    
    GPIOA->MODER &= ~(0x3 << 8);
    GPIOA->MODER |= (0x3 << 8);    // PA4 in analog mode
    
    GPIOA->MODER &= ~(0x3 << 10);
    GPIOA->MODER |= (0x3 << 10);    // PA5 in analog mode
    
    RCC->APB1ENR |= (1 << 29);    // DACEN = 1
    
    DAC->CR |= (1 << 1);     // BOFF1 = 1
    DAC->CR |= (1 << 17);    // BOFF2 = 1
    DAC->CR |= (1 << 0);     // EN1 = 1
    DAC->CR |= (1 << 16);    // EN2 = 1
}

void set_DAC1(uint32_t value)
{
    DAC->DHR12R1 = 0xFFF & value;
}

void set_DAC2(uint32_t value)
{
    DAC->DHR12R2 = 0xFFF & value;
}
