#include "Timer.h"

void init_TIM2()
{
    RCC->APB1ENR |= (1 << 0);    // TIM2EN = 1
    
    // TIM2 is clocked with 54MHz.
    //const uint32_t top_value = 1023;    // 54000kHz / 1024 = 52.734kHz = 52734Hz
    
    TIM2->PSC = 0;                 // divide clock by 1
    //TIM2->CCR1 = top_value;        // gives an compare match event every xxus
    //TIM2->ARR = top_value;         // when TIM2->CNT reaches the value of TIM2->ARR, then TIM2->CNT is reset to 0!
    //TIM2->DIER |= (1 << 1);      // enable CC1 interrupt
    //NVIC->ISER[0] |= (1 << 28);  // enable TIM2 interrupt in NVIC
    TIM2->CNT = 0;                 // reset the timer value
    TIM2->CR1 |= (1 << 0);         // CEN = 1
}

void TIM2_IRQHandler()
{
    if(((TIM2->SR >> 1) & 0x01) == 1)    // check capture/compare 1 interrupt flag (CC1IF)
    {
        // Do stuff ...
    }
}
