clear all;
close all;

arg = -2048:2048;
arccos_data = (2048/pi)*acos(arg/2048);

fileID = fopen('arccos_table.c', 'w');
for i = 1:length(arg)
  fprintf(fileID, '        %ld,\n', (int32)(arccos_data(i)));
endfor;
fclose(fileID);

figure;
plot(arccos_data);
grid on;
