#include <stdio.h>
#include <stdint.h>
#include <stdlib.h>
#include <string.h>

#include "STM32F767.h"
#include "DAC.h"
#include "ADC.h"
#include "Timer.h"
#include "UART.h"

int main()
{
    //setup_clock_HSI(216, 8, 2, 9, 7);    // HSI 16MHz
    setup_clock_HSE_bypass(216, 4, 2, 9, 7);    // HSE 8MHz crystal
    //setup_clock_HSE(216, 8, 2, 9, 7);    // HSE 16MHz crystal
    
    initGPIO();
    setPinDir(PORTA, 8, GPIO_OUTPUT);
    
    init_UART();
    
    init_DAC();
    init_ADC();
    
    //init_TIM2();
    
    while(1)
    {
    }
    
    return 0;
}
